<?
namespace esmo\pl;
use i_db_object;
class i_pl_req_log extends i_db_object
{
    static $table_name = 'pl_req_log';
    static $table_title = 'ПЛ - лог запросов';

    static $clss = 782;
    static $class_descr=['name'=>'ПЛ - лог запросов',
                         'parent'=>0,
                         'fields'=>['ip'=>'varchar(20)',
                                    'obj_name'=>'varchar(20)',
                                    'url'=>'varchar(255)',
                                    'post'=>'varchar(255)',
                                    'result_status'=>'int',
                                   ],

        ] ;

    public static function create($form_data, $options = array())
    {
        $result = [];

        // проверка на валидность переданных параметров
        //$id_exist = execSQL_value('select pkey from ' . static::$table_name . ' where clss='.static::$clss.' and obj_name="' . $form_data['name'] . '"');
        //if ($id_exist) $result=['error' => 'Устройство с данным наименованием уже зарегистрировано'] ;

        if (!$result['error'])
        {
            // формируем запись для базы
            $data = array();
            $data['clss'] = static::$clss;
            $data['indx'] = 1;
            if (isset($form_data['name'])) $data['obj_name'] = $form_data['name'];
            if (isset($form_data['full_name'])) $data['full_name'] = $form_data['full_name'];
            if (isset($form_data['inn'])) $data['inn'] = $form_data['inn'];

            // добавляем в базу
            $id = adding_rec_to_table(static::$table_name, $data);
            $result['id'] = $id;

            if ($id) {
                $result['status'] = 'success';
                $result['info'] = 'Клиент успешно добавлен';
            } else {
                $result['status'] = 'failed';
                $result['error'] = 'Не удалось добавить клиента';
            }
        }


        return ($result);
    }

    public static function save($id, $form_data, $options = [])
    {
        $data = $form_data;
        //damp_array($data);
        $cnt = update_rec_in_table(static::$table_name, $data, 'pkey=' . $id);
        return ($cnt);
    }


}

?>
